Debian Bug report logs - #650600
FTBFS: curses.h: No such file or directory

version graph

Package: ytree; Maintainer for ytree is Kevin Coyner <kcoyner@debian.org>; Source for ytree is src:ytree.

Reported by: Steve McIntyre <steve@einval.com>

Date: Thu, 1 Dec 2011 00:09:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version ytree/1.94-1

Fixed in version ytree/1.94-1.1

Done: Steve McIntyre <steve.mcintyre@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kevin Coyner <kcoyner@debian.org>:
Bug#650600; Package ytree. (Thu, 01 Dec 2011 00:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
New Bug report received and forwarded. Copy sent to Kevin Coyner <kcoyner@debian.org>. (Thu, 01 Dec 2011 00:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: curses.h: No such file or directory
Date: Thu, 01 Dec 2011 00:05:01 +0000
Package: ytree
Version: 1.94-1
Severity: serious
Tags: sid

ytree FTBFS in a current sid system. Build logs for armhf [1] and
s390x [2] show this easily, but it's not limited to these new
architectures. Building on amd64 shows the same problem, failure to
find curses.h:

...
make[1]: Entering directory `/build/buildd-ytree_1.94-1-armhf-BIybyp/ytree-1.94'
cc -D_GNU_SOURCE -DWITH_UTF8 -O2 -g -Wall  -DCOLOR_SUPPORT  -DREADLINE_SUPPORT   -c -o arc.o arc.c
In file included from arc.c:10:0:
ytree.h:42:20: fatal error: curses.h: No such file or directory
compilation terminated.
...

Looks like you need to update the build-deps to include
libncurses5-dev explicitly. The existing build-deps used to pull it in
via libreadline-dev, but that doesn't work any more.

[1] https://buildd.debian.org/status/fetch.php?pkg=ytree&arch=armhf&ver=1.94-1&stamp=1322548126
[2] https://buildd.debian.org/status/fetch.php?pkg=ytree&arch=s390x&ver=1.94-1&stamp=1322373667

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Kevin Coyner <kcoyner@debian.org>:
Bug#650600; Package ytree. (Thu, 01 Dec 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kevin Coyner <kcoyner@debian.org>. (Thu, 01 Dec 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 650600@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Steve McIntyre <steve@einval.com>
Cc: 650600@bugs.debian.org
Subject: Re: Bug#650600: FTBFS: curses.h: No such file or directory
Date: Thu, 01 Dec 2011 18:00:12 +0100
tags 650600 + wheezy
thanks

On 2011-12-01 01:05 +0100, Steve McIntyre wrote:

> Package: ytree
> Version: 1.94-1
> Severity: serious
> Tags: sid
>
> ytree FTBFS in a current sid system. Build logs for armhf [1] and
> s390x [2] show this easily, but it's not limited to these new
> architectures. Building on amd64 shows the same problem, failure to
> find curses.h:
>
> ...
> make[1]: Entering directory `/build/buildd-ytree_1.94-1-armhf-BIybyp/ytree-1.94'
> cc -D_GNU_SOURCE -DWITH_UTF8 -O2 -g -Wall  -DCOLOR_SUPPORT  -DREADLINE_SUPPORT   -c -o arc.o arc.c
> In file included from arc.c:10:0:
> ytree.h:42:20: fatal error: curses.h: No such file or directory
> compilation terminated.
> ...
>
> Looks like you need to update the build-deps to include
> libncurses5-dev explicitly.

No, that would be wrong since ytree links against ncursesw, not ncurses.

> The existing build-deps used to pull it in
> via libreadline-dev, but that doesn't work any more.

If it worked before, then ytree has included the wrong headers.  To use
ncursesw, it needs to #include <ncursesw/curses.h> rather than just
curses.h.  Or it could add /usr/include/ncursesw to the include path.

Cheers,
       Sven




Added tag(s) wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 01 Dec 2011 17:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kevin Coyner <kcoyner@debian.org>:
Bug#650600; Package ytree. (Thu, 15 Dec 2011 16:42:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve.mcintyre@linaro.org>:
Extra info received and forwarded to list. Copy sent to Kevin Coyner <kcoyner@debian.org>. (Thu, 15 Dec 2011 16:42:38 GMT) Full text and rfc822 format available.

Message #17 received at 650600@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve.mcintyre@linaro.org>
To: 650600@bugs.debian.org
Subject: NMU diff
Date: Thu, 15 Dec 2011 16:40:15 +0000
[Message part 1 (text/plain, inline)]
attached

Cheers,
-- 
Steve McIntyre                                steve.mcintyre@linaro.org
<http://www.linaro.org/> Linaro.org | Open source software for ARM SoCs
[ytree.debdiff (text/plain, attachment)]

Reply sent to Steve McIntyre <steve.mcintyre@linaro.org>:
You have taken responsibility. (Thu, 15 Dec 2011 17:09:09 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Thu, 15 Dec 2011 17:09:09 GMT) Full text and rfc822 format available.

Message #22 received at 650600-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve.mcintyre@linaro.org>
To: 650600-close@bugs.debian.org
Subject: Bug#650600: fixed in ytree 1.94-1.1
Date: Thu, 15 Dec 2011 17:05:22 +0000
Source: ytree
Source-Version: 1.94-1.1

We believe that the bug you reported is fixed in the latest version of
ytree, which is due to be installed in the Debian FTP archive:

ytree_1.94-1.1.debian.tar.gz
  to main/y/ytree/ytree_1.94-1.1.debian.tar.gz
ytree_1.94-1.1.dsc
  to main/y/ytree/ytree_1.94-1.1.dsc
ytree_1.94-1.1_armhf.deb
  to main/y/ytree/ytree_1.94-1.1_armhf.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650600@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <steve.mcintyre@linaro.org> (supplier of updated ytree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Dec 2011 16:34:49 +0000
Source: ytree
Binary: ytree
Architecture: source armhf
Version: 1.94-1.1
Distribution: unstable
Urgency: low
Maintainer: Kevin Coyner <kcoyner@debian.org>
Changed-By: Steve McIntyre <steve.mcintyre@linaro.org>
Description: 
 ytree      - A file manager for terminals
Closes: 650600
Changes: 
 ytree (1.94-1.1) unstable; urgency=low
 .
   * NMU
   * Specify a path to curses.h to fix FTBFS. Closes: #650600
Checksums-Sha1: 
 d3bb2a081b30ffebe89d554b33a2947e016edd56 1739 ytree_1.94-1.1.dsc
 81d4ee4613793ce31b8e3871a60bca59abb1745f 6163 ytree_1.94-1.1.debian.tar.gz
 85f9f70fff4307dbf26eabd3842678af2c298382 77238 ytree_1.94-1.1_armhf.deb
Checksums-Sha256: 
 c75b2093099b375cba6877921cf5575714278b66b41c43be03b6c35f3a929f70 1739 ytree_1.94-1.1.dsc
 bb0d9fe665a495c31e14ae98270ea36385c5c7719af2c7e41f2ce365532d57fa 6163 ytree_1.94-1.1.debian.tar.gz
 e109cb5ff09286b61d40ee53f3e45d51ebb85c92fdba73368d94de818b145030 77238 ytree_1.94-1.1_armhf.deb
Files: 
 035b2137c317891899f72c2f2c981793 1739 utils optional ytree_1.94-1.1.dsc
 003f7e88fae077cd4fc3813dfa90e2df 6163 utils optional ytree_1.94-1.1.debian.tar.gz
 da212af47469f342626f38c58ad16985 77238 utils optional ytree_1.94-1.1_armhf.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJO6iUGAAoJEFh5eVc0QmhOgKwQAJ4wIBzeA9AemX1/syOkm2Sx
w9JsbaXlrY3avecKNWDFEL3TO8PuVoYIy8DIpfIRSWZREC+NzNHT3F8sOBpwoi6N
f14DAKjd6F2bCd4p1+03QMA5kWLG952zmP9+qvXxrfqPjZ4Osj9zx9vLv5RFse1m
uz30B/wBRi3gZolUMruaNMlfoFVqSPfc24KB115Th1Xcr+yCaFMvReNk4fTo4ow/
LG7lniBz6l7bNAUCSIr29ffe4jfm/q+2fugZQ+9hmK2AZXmONZSCAoEHbtCS7y3I
ZFEWXwBeiAl4qZbT6EOnlCMd1JBJhi07pV0i2feDnP/pZtH5PvOoJ3QLL17AOGeM
YODlXnSNv+xxErCIZQjKK2souENEbZ4cXIksL9+gQWj+Yf1mH9+ZfUK9ocNnoVzJ
cEkjjwYsPYHHJgnfUNUYL5QWKOtvzYzenr1xSeqvJe89MD7Cg9XIHdShZUk6Oste
hTyTlYjMHlwyf0VoyLnstHAFyIN/Aavi0mLsn/h2K6y4J2pUrhdF6R+dRRwzKZv8
gvc5aOQ+Y/Uzy69N2bYXagMcabzZj2et8Cg9DFetzPYAVD2tvZsU7oWZ2CYfeiwZ
jjMWr8/5E216tgS/030kN/5WyjdPB+JQ4i1zTpui6TqQpM6y38SnOsOKUfK1DyID
TDb9C7v3xy48avuliwNQ
=p9y3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:50:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.